<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for Put_Project_Task_ResponseType StructType
 * Meta information extracted from the WSDL
 * - documentation: Response after putting a Project Task
 * @subpackage Structs
 */
class Put_Project_Task_ResponseType extends AbstractStructBase
{
    /**
     * The Project_Task_Reference
     * Meta information extracted from the WSDL
     * - documentation: Project Task Reference
     * - minOccurs: 0
     * @var \StructType\Project_TaskObjectType
     */
    public $Project_Task_Reference;
    /**
     * The version
     * Meta information extracted from the WSDL
     * - ref: wd:version
     * @var string
     */
    public $version;
    /**
     * Constructor method for Put_Project_Task_ResponseType
     * @uses Put_Project_Task_ResponseType::setProject_Task_Reference()
     * @uses Put_Project_Task_ResponseType::setVersion()
     * @param \StructType\Project_TaskObjectType $project_Task_Reference
     * @param string $version
     */
    public function __construct(\StructType\Project_TaskObjectType $project_Task_Reference = null, $version = null)
    {
        $this
            ->setProject_Task_Reference($project_Task_Reference)
            ->setVersion($version);
    }
    /**
     * Get Project_Task_Reference value
     * @return \StructType\Project_TaskObjectType|null
     */
    public function getProject_Task_Reference()
    {
        return $this->Project_Task_Reference;
    }
    /**
     * Set Project_Task_Reference value
     * @param \StructType\Project_TaskObjectType $project_Task_Reference
     * @return \StructType\Put_Project_Task_ResponseType
     */
    public function setProject_Task_Reference(\StructType\Project_TaskObjectType $project_Task_Reference = null)
    {
        $this->Project_Task_Reference = $project_Task_Reference;
        return $this;
    }
    /**
     * Get version value
     * @return string|null
     */
    public function getVersion()
    {
        return $this->version;
    }
    /**
     * Set version value
     * @param string $version
     * @return \StructType\Put_Project_Task_ResponseType
     */
    public function setVersion($version = null)
    {
        // validation for constraint: string
        if (!is_null($version) && !is_string($version)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($version, true), gettype($version)), __LINE__);
        }
        $this->version = $version;
        return $this;
    }
}
